import request from '@/utils/request'

// 查询行政区域列表
export function listRegion(query) {
  return request({
    url: '/hezhi/region/list',
    method: 'get',
    params: query
  })
}

// 查询行政区域详细
export function getRegion(id) {
  return request({
    url: '/hezhi/region/' + id,
    method: 'get'
  })
}

// 新增行政区域
export function addRegion(data) {
  return request({
    url: '/hezhi/region',
    method: 'post',
    data: data
  })
}

// 修改行政区域
export function updateRegion(data) {
  return request({
    url: '/hezhi/region',
    method: 'put',
    data: data
  })
}

// 删除行政区域
export function delRegion(id) {
  return request({
    url: '/hezhi/region/' + id,
    method: 'delete'
  })
}

// 查询省列表
export function getProvince() {
  return request({
    url: '/hezhi/region/getProvince',
    method: 'get',

  })
}

// 查询市、区列表
export function getCityOrArea(ida) {
  return request({
    url: '/hezhi/region/getCityOrArea' ,
    method: 'get',
    params: {
      id:ida,
    }
  })
}
